## r-bioc-beachmat 2.4.0+ds

=== DESCRIPTION ===
Package: beachmat
Version: 2.4.0
Date: 2020-02-05
Title: Compiling Bioconductor to Handle Each Matrix Type
Encoding: UTF-8
Authors@R: c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
        person("Hervé", "Pagès", role="aut"),
        person("Mike", "Smith", role="aut"))
Imports: methods, DelayedArray, BiocGenerics, Matrix
Suggests: testthat, BiocStyle, knitr, rmarkdown, devtools
biocViews: DataRepresentation, DataImport, Infrastructure
Description: Provides a consistent C++ class interface for reading from and 
        writing data to a variety of commonly used matrix types. Ordinary 
        matrices and several sparse/dense Matrix classes are directly supported, 
        third-party S4 classes may be supported by external linkage, while all
        other matrices are handled by DelayedArray block processing.
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 6.1.1
git_url: https://git.bioconductor.org/packages/beachmat
git_branch: RELEASE_3_11
git_last_commit: f8ee009
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
Packaged: 2020-04-28 03:06:26 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Hervé Pagès [aut],
  Mike Smith [aut]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-beachmat (2.4.0+ds-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jun 2020 08:40:03 +0200

r-bioc-beachmat (2.4.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #962991)

 -- Steffen Moeller <moeller@debian.org>  Tue, 16 Jun 2020 19:45:35 +0200

=== debian/control ===
Source: r-bioc-beachmat
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-delayedarray,
               r-bioc-biocgenerics,
               r-cran-matrix
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat.git
Homepage: https://bioconductor.org/packages/beachmat/
Rules-Requires-Root: no

Package: r-bioc-beachmat
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: I/O for several formats storing matrix data
 Provides a consistent C++ class interface for reading from and
 writing data to a variety of commonly used matrix types. Ordinary
 matrices and several sparse/dense Matrix classes are directly supported,
 third-party S4 classes may be supported by external linkage, while all
 other matrices are handled by DelayedArray block processing.

## r-bioc-beachmat 2.6.4+ds

=== DESCRIPTION ===
Package: beachmat
Version: 2.6.4
Date: 2020-12-19
Title: Compiling Bioconductor to Handle Each Matrix Type
Encoding: UTF-8
Authors@R: c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
        person("Hervé", "Pagès", role="aut"),
        person("Mike", "Smith", role="aut"))
Imports: methods, DelayedArray (>= 0.15.14), BiocGenerics, Matrix
Suggests: testthat, BiocStyle, knitr, rmarkdown, rcmdcheck,
        BiocParallel
biocViews: DataRepresentation, DataImport, Infrastructure
Description: Provides a consistent C++ class interface for reading from and 
        writing data to a variety of commonly used matrix types. Ordinary 
        matrices and several sparse/dense Matrix classes are directly supported, 
        third-party S4 classes may be supported by external linkage, while all
        other matrices are handled by DelayedArray block processing.
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/beachmat
git_branch: RELEASE_3_12
git_last_commit: 7d9dc63
git_last_commit_date: 2020-12-19
Date/Publication: 2020-12-20
Packaged: 2020-12-20 22:52:08 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Hervé Pagès [aut],
  Mike Smith [aut]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-beachmat (2.6.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Test-Depends: texlive-latex-base

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 19:25:43 +0100

r-bioc-beachmat (2.6.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 27 Nov 2020 09:53:29 +0100

r-bioc-beachmat (2.6.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Add g++ to autopkgtests deps

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 19 Nov 2020 12:52:07 +0100

r-bioc-beachmat (2.6.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2020 11:46:39 +0100

r-bioc-beachmat (2.6.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Test-Depends: r-bioc-biocparallel, r-cran-devtools

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 09:11:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-delayedarray,
+               r-bioc-delayedarray (>= 0.15.14),
                r-bioc-biocgenerics,
                r-cran-matrix
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat.git
 Homepage: https://bioconductor.org/packages/beachmat/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, g++, r-cran-testthat, r-bioc-biocparallel, r-cran-devtools, texlive-latex-base
Restrictions: allow-stderr

## r-bioc-beachmat 2.10.0+ds

=== DESCRIPTION ===
Package: beachmat
Version: 2.10.0
Date: 2021-08-10
Title: Compiling Bioconductor to Handle Each Matrix Type
Encoding: UTF-8
Authors@R: c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
        person("Hervé", "Pagès", role="aut"),
        person("Mike", "Smith", role="aut"))
Imports: methods, DelayedArray (>= 0.15.14), BiocGenerics, Matrix, Rcpp
Suggests: testthat, BiocStyle, knitr, rmarkdown, rcmdcheck,
        BiocParallel, HDF5Array
LinkingTo: Rcpp
biocViews: DataRepresentation, DataImport, Infrastructure
Description: Provides a consistent C++ class interface for reading from and 
        writing data to a variety of commonly used matrix types. Ordinary 
        matrices and several sparse/dense Matrix classes are directly supported, 
        third-party S4 classes may be supported by external linkage, while all
        other matrices are handled by DelayedArray block processing.
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
SystemRequirements: C++11
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/beachmat
git_branch: RELEASE_3_14
git_last_commit: b7cc532
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
Packaged: 2021-10-26 20:53:40 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Hervé Pagès [aut],
  Mike Smith [aut]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== inst/extensions/DESCRIPTION ===
Package: morebeach
Version: 1.0.0
Date: 2019-03-10
Title: Test whether we can extend beachmat properly
Author: Aaron Lun <alun@wehi.edu.au>
Maintainer: Aaron Lun <alun@wehi.edu.au>
Imports: Rcpp, methods, DelayedArray
Suggests: beachmat, devtools, testthat
Description: For testing beachmat extension settings.
License: GPL-3
NeedsCompilation: yes
SystemRequirements: C++11
LinkingTo: Rcpp
RoxygenNote: 7.0.0

=== debian/changelog ===
r-bioc-beachmat (2.10.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 08:18:53 +0100

r-bioc-beachmat (2.8.1+ds-2) unstable; urgency=medium

  * Disable reprotest
  * Test-Depends: r-bioc-hdf5array

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 09:28:22 +0200

r-bioc-beachmat (2.8.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure Test-Depends will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 07:01:45 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                r-base-dev,
                r-bioc-delayedarray (>= 0.15.14),
                r-bioc-biocgenerics,
-               r-cran-matrix
-Standards-Version: 4.5.1
+               r-cran-matrix,
+               r-cran-rcpp
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat.git
 Homepage: https://bioconductor.org/packages/beachmat/

## r-bioc-beachmat 2.12.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: beachmat
-Version: 2.10.0
+Version: 2.12.0
 Date: 2021-08-10
 Title: Compiling Bioconductor to Handle Each Matrix Type
 Encoding: UTF-8
@@ -22,11 +22,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/beachmat
-git_branch: RELEASE_3_14
-git_last_commit: b7cc532
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 20:53:40 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: 3e6af14
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 20:03:37 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Hervé Pagès [aut],
   Mike Smith [aut]

=== debian/changelog ===
r-bioc-beachmat (2.12.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 08:37:12 +0200

## r-bioc-beachmat 2.14.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: beachmat
-Version: 2.12.0
-Date: 2021-08-10
+Version: 2.14.0
+Date: 2022-06-12
 Title: Compiling Bioconductor to Handle Each Matrix Type
 Encoding: UTF-8
 Authors@R: c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
@@ -22,11 +22,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/beachmat
-git_branch: RELEASE_3_15
-git_last_commit: 3e6af14
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 20:03:37 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 5a4b85f
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 20:54:30 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Hervé Pagès [aut],
   Mike Smith [aut]

=== debian/changelog ===
r-bioc-beachmat (2.14.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:09:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-beachmat
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat.git
+Homepage: https://bioconductor.org/packages/beachmat/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-bioc-biocgenerics,
                r-cran-matrix,
                r-cran-rcpp
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat.git
-Homepage: https://bioconductor.org/packages/beachmat/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-beachmat
 Architecture: any

## r-bioc-beachmat 2.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: beachmat
-Version: 2.14.0
-Date: 2022-06-12
+Version: 2.16.0
+Date: 2023-04-06
 Title: Compiling Bioconductor to Handle Each Matrix Type
 Encoding: UTF-8
 Authors@R: c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
@@ -22,11 +22,11 @@
 SystemRequirements: C++11
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/beachmat
-git_branch: RELEASE_3_16
-git_last_commit: 5a4b85f
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 20:54:30 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 4cc8e50
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 20:17:15 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Hervé Pagès [aut],
   Mike Smith [aut]

=== debian/changelog ===
r-bioc-beachmat (2.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 17:59:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-bioc-beachmat
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-bioc-delayedarray,
+               r-bioc-biocgenerics,
+               r-cran-matrix,
+               r-cran-rcpp
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat.git
 Homepage: https://bioconductor.org/packages/beachmat/
-Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-bioc-delayedarray (>= 0.15.14),
-               r-bioc-biocgenerics,
-               r-cran-matrix,
-               r-cran-rcpp
-Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-beachmat
 Architecture: any

## r-bioc-beachmat 2.18.1+ds

=== DESCRIPTION ===
Package: beachmat
Version: 2.18.1
Date: 2024-01-22
Title: Compiling Bioconductor to Handle Each Matrix Type
Encoding: UTF-8
Authors@R: c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
        person("Hervé", "Pagès", role="aut"),
        person("Mike", "Smith", role="aut"))
Imports: methods, DelayedArray (>= 0.27.2), SparseArray, BiocGenerics,
        Matrix, Rcpp
Suggests: testthat, BiocStyle, knitr, rmarkdown, rcmdcheck,
        BiocParallel, HDF5Array
LinkingTo: Rcpp
biocViews: DataRepresentation, DataImport, Infrastructure
Description: 
    Provides a consistent C++ class interface for reading from a variety of commonly used matrix types. 
    Ordinary matrices and several sparse/dense Matrix classes are directly supported, 
    along with a subset of the delayed operations implemented in the DelayedArray package.
    All other matrix-like objects are supported by calling back into R.
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
SystemRequirements: C++17
URL: https://github.com/tatami-inc/beachmat
BugReports: https://github.com/tatami-inc/beachmat/issues
RoxygenNote: 7.2.3
git_url: https://git.bioconductor.org/packages/beachmat
git_branch: RELEASE_3_18
git_last_commit: 39ef12f
git_last_commit_date: 2024-01-22
Repository: Bioconductor 3.18
Date/Publication: 2024-02-14
Packaged: 2024-02-14 21:07:50 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Hervé Pagès [aut],
  Mike Smith [aut]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== inst/newtests/DESCRIPTION ===
Package: morebeachtests
Version: 1.0.0
Date: 2020-09-16
Title: Test whether we can use beachmat v3 properly
Description: For testing beachmat compilation settings.
Authors@R: person("Aaron", "Lun", role=c("cre", "aut"),
    email="infinite.monkeys.with.keyboards@gmail.com")
Imports: Rcpp
LinkingTo: Rcpp, beachmat
Suggests: Matrix, DelayedArray, testthat
License: GPL-3
NeedsCompilation: yes
SystemRequirements: C++11
RoxygenNote: 7.1.1

=== debian/changelog ===
r-bioc-beachmat (2.18.1+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Add upstream metadata

 -- Andreas Tille <tille@debian.org>  Tue, 20 Feb 2024 15:35:11 +0100

r-bioc-beachmat (2.18.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 12:53:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: r-bioc-beachmat
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat.git
+Homepage: https://bioconductor.org/packages/beachmat/
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-delayedarray,
+               r-bioc-delayedarray (>= 0.27.2),
+               r-bioc-sparsearray,
                r-bioc-biocgenerics,
                r-cran-matrix,
                r-cran-rcpp
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat.git
-Homepage: https://bioconductor.org/packages/beachmat/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-beachmat
 Architecture: any

## r-bioc-beachmat 2.20.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: beachmat
-Version: 2.18.1
-Date: 2024-01-22
+Version: 2.20.0
+Date: 2024-03-28
 Title: Compiling Bioconductor to Handle Each Matrix Type
 Encoding: UTF-8
 Authors@R: c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
@@ -23,14 +23,14 @@
 SystemRequirements: C++17
 URL: https://github.com/tatami-inc/beachmat
 BugReports: https://github.com/tatami-inc/beachmat/issues
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 git_url: https://git.bioconductor.org/packages/beachmat
-git_branch: RELEASE_3_18
-git_last_commit: 39ef12f
-git_last_commit_date: 2024-01-22
-Repository: Bioconductor 3.18
-Date/Publication: 2024-02-14
-Packaged: 2024-02-14 21:07:50 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: fe0b119
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 02:44:42 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Hervé Pagès [aut],
   Mike Smith [aut]

=== debian/changelog ===
r-bioc-beachmat (2.20.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:08:12 +0200

r-bioc-beachmat (2.20.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 16:44:17 +0200

r-bioc-beachmat (2.20.0+ds-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * Add texlive-fonts-extra to the autopkgtest
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 01:30:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,18 +11,22 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-delayedarray (>= 0.27.2),
-               r-bioc-sparsearray,
-               r-bioc-biocgenerics,
+               r-bioc-delayedarray (>= 0.30.1),
+               r-bioc-sparsearray (>= 1.4.8),
+               r-bioc-biocgenerics (>= 0.50.0),
                r-cran-matrix,
-               r-cran-rcpp
+               r-cran-rcpp,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-beachmat
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-delayedarray (>= 0.30.1),
+         r-bioc-sparsearray (>= 1.4.8),
+         r-bioc-biocgenerics (>= 0.50.0)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: I/O for several formats storing matrix data

## r-bioc-beachmat 2.22.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-beachmat.git
 Homepage: https://bioconductor.org/packages/beachmat/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-delayedarray (>= 0.30.1),
-               r-bioc-sparsearray (>= 1.4.8),
-               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-delayedarray (>= 0.27.2),
+               r-bioc-sparsearray,
+               r-bioc-biocgenerics,
                r-cran-matrix,
                r-cran-rcpp,
+               r-bioc-assorthead,
                architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
@@ -23,10 +24,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-delayedarray (>= 0.30.1),
-         r-bioc-sparsearray (>= 1.4.8),
-         r-bioc-biocgenerics (>= 0.50.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: I/O for several formats storing matrix data

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=auto,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?" \
https://bioconductor.org/packages/release/bioc/html/beachmat.html .*/beachmat_(.*).tar.gz

## r-bioc-beachmat 2.22.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: beachmat
-Version: 2.20.0
-Date: 2024-03-28
+Version: 2.22.0
+Date: 2024-10-25
 Title: Compiling Bioconductor to Handle Each Matrix Type
 Encoding: UTF-8
 Authors@R: c(person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"),
@@ -9,8 +9,8 @@
 Imports: methods, DelayedArray (>= 0.27.2), SparseArray, BiocGenerics,
         Matrix, Rcpp
 Suggests: testthat, BiocStyle, knitr, rmarkdown, rcmdcheck,
-        BiocParallel, HDF5Array
-LinkingTo: Rcpp
+        BiocParallel, HDF5Array, beachmat.hdf5
+LinkingTo: Rcpp, assorthead
 biocViews: DataRepresentation, DataImport, Infrastructure
 Description: 
     Provides a consistent C++ class interface for reading from a variety of commonly used matrix types. 
@@ -23,14 +23,14 @@
 SystemRequirements: C++17
 URL: https://github.com/tatami-inc/beachmat
 BugReports: https://github.com/tatami-inc/beachmat/issues
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 git_url: https://git.bioconductor.org/packages/beachmat
-git_branch: RELEASE_3_19
-git_last_commit: fe0b119
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 02:44:42 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: a143856
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-29 23:40:12 UTC; biocbuild
 Author: Aaron Lun [aut, cre],
   Hervé Pagès [aut],
   Mike Smith [aut]

=== debian/changelog ===
r-bioc-beachmat (2.22.0+ds-3~deb13u1) trixie; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * Patch up part of a test that depends on the "beachmat.hdf5" R
    package, which is not yet in Debian. Closes: #1111758

 -- Charles Plessy <plessy@debian.org>  Sun, 14 Sep 2025 16:38:29 +0900

r-bioc-beachmat (2.22.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 21:38:05 +0100

r-bioc-beachmat (2.22.0+ds-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * d/control: add build-dep on the new assorthead package

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 17:09:03 +0100
